Launcher 0.6.11 issue

Discussion in 'Bug Reports' started by yami, Jul 25, 2015.

  1. yami

    yami Private Tester

    I am having some issues with the launcher. I think it is related to the 0.6.11 update because I was just playing fine last night. The launcher is just stuck at "Downloading launcher version 0.6.11"

    I tried to download a fresh version from http://www.legionsoverdrive.com/launcher/Legions.exe and I am getting a "403 forbidden" error on that site.

    Here are the contents from the launcher text file:
    2015-07-25 14:06:47,377: legionslauncher.launcher_update INFO: Checking for launcher update
    2015-07-25 14:06:47,569: legionslauncher.launcher_update INFO: Launcher update required, from 0.6.10 to 0.6.11
    2015-07-25 14:07:03,279: root CRITICAL: Traceback (most recent call last):
    File "Z:\legionslauncher\legionslauncher\update_thread.py", line 32, in run
    File "Z:\legionslauncher\legionslauncher\launcher_update.py", line 28, in update_launcher
    File "C:\Development\legionslauncher\pyenv\lib\site-packages\esky\__init__.py", line 811, in fetch_version
    File "C:\Development\legionslauncher\pyenv\lib\site-packages\esky\finder.py", line 80, in fetch_version
    File "C:\Development\legionslauncher\pyenv\lib\site-packages\esky\finder.py", line 221, in fetch_version_iter
    EskyVersionError: 0.6.11
     
  2. Fixious

    Fixious Test Lead

    Same here.

    2015-07-25 14:20:35,124: legionslauncher.launcher_update INFO: Checking for launcher update
    2015-07-25 14:20:35,226: legionslauncher.launcher_update INFO: Launcher update required, from 0.6.10 to 0.6.11
    2015-07-25 14:20:43,982: root CRITICAL: Traceback (most recent call last):
    File "Z:\legionslauncher\legionslauncher\update_thread.py", line 32, in run
    File "Z:\legionslauncher\legionslauncher\launcher_update.py", line 28, in update_launcher
    File "C:\Development\legionslauncher\pyenv\lib\site-packages\esky\__init__.py", line 811, in fetch_version
    File "C:\Development\legionslauncher\pyenv\lib\site-packages\esky\finder.py", line 80, in fetch_version
    File "C:\Development\legionslauncher\pyenv\lib\site-packages\esky\finder.py", line 221, in fetch_version_iter
    EskyVersionError: 0.6.11

    Also getting a 403.
     
  3. yami

    yami Private Tester

    Paging Dr. Greaper
     
  4. GReaper

    GReaper Grumpy

    Permissions were screwed, should now be fixed!